%define module_name Stash-REST
Epoch: 1
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(Class/Trigger.pm) perl(HTTP/Request/Common.pm) perl(HTTP/Response.pm) perl(JSON.pm) perl(LWP/UserAgent.pm) perl(Module/Build/Tiny.pm) perl(Moo.pm) perl(Test/Fake/HTTPD.pm) perl(Test/More.pm) perl(Test/Pod.pm) perl(URI.pm) perl(URL/Encode.pm) perl(namespace/clean.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.11
Release: alt1
Summary: Add Requests into stash. Then, Extends with Class::Trigger!
Group: Development/Perl
License: perl
URL: https://github.com/renatocron/Stash-REST

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/R/RE/RENTOCRON/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Stash::REST helps you use HTTP::Request::Common to create requests and put responses into a stash for further user.

The main objective is to encapsulate the most used HTTP methods and expected response codes for future
extensions and analysis by other modules, using the callbacks the Class::Trigger manpage.



%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes LICENSE README
%perl_vendor_privlib/S*

%changelog
* Thu Oct 26 2017 Igor Vlasenko <viy@altlinux.ru> 1:0.11-alt1
- regenerated from template by package builder

* Fri Feb 19 2016 Igor Vlasenko <viy@altlinux.ru> 1:0.10-alt1
- regenerated from template by package builder

* Tue Dec 01 2015 Igor Vlasenko <viy@altlinux.ru> 1:0.08-alt1
- regenerated from template by package builder

* Thu Oct 15 2015 Igor Vlasenko <viy@altlinux.ru> 1:0.07-alt1
- regenerated from template by package builder

* Tue Feb 10 2015 Igor Vlasenko <viy@altlinux.ru> 1:0.06-alt2
- regenerated from template by package builder

* Mon Jan 26 2015 Igor Vlasenko <viy@altlinux.ru> 0.058-alt1
- regenerated from template by package builder

* Thu Jan 22 2015 Igor Vlasenko <viy@altlinux.ru> 0.056-alt1
- initial import by package builder

